# Moe: html with style

## Example

first page

    -- test.hs

    import Prelude hiding ((/), (-), head, (>), (.), div)
    import Air.Light ((-))
    import Text.HTML.Moe2

    test_page :: String
    test_page = render -
      html - do
        head - do
          meta ! [http_equiv "Content-Type", content "text/html; charset=utf-8"] - (/)
          title - str "my title"
          link ! [rel "icon", _type "image/png", href "panda_icon.png"] - (/)

        body - do
          div ! [_class "container"] - do
            str "hello world"

    main :: IO ()
    main = putStrLn test_page
    

install and run

    cabal update
    cabal install moe
    
    runghc test.hs

    output:

    <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>
          my title
        </title>
        <link rel="icon" type="image/png" href="panda_icon.png" />
      </head>
      <body>
        <div class="container">
          hello world
        </div>
      </body>
    </html>
    
